## cherrytree 0.99.14-1.0antix1

=== debian/changelog ===
cherrytree (0.99.14-1.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Thu, 01 Oct 2020 21:49:36 +0300

cherrytree (0.99.14-1) focal; urgency=low

  * fix crash when pasting a single character (#1186)
  * fix remove invalid (deleted) anchor widgets from the list (#1190)
  * fix crash while importing from html due to odd attrs amount (#1191)
  * fix encoding issue str::time_format returns UTF-8 (#1197)
  * fix codebox change width/height was not being detected as a change to be saved
  * fix width/height increase when auto resize is enabled (as by default in 0.99.x)
  * fix message of newer version available showing old version while new version expected
  * fix windows crash on exception 'locale::facet::_S_create_c_locale name not valid' (#1184)
  * fix windows installer issues with generated shortcut and double click on file from explorer (#1184)
  * fix windows detected paths for locale and data folders
  * Japanese language updated (Piyo)


 -- Giuseppe Penone <giuspen@gmail.com>  Wed, 30 Sep 2020 21:38:15 +0100

## cherrytree 0.99.15+dfsg

=== debian/changelog ===
cherrytree (0.99.15+dfsg-2) unstable; urgency=medium

  * Updating Vcs-* tags after moving to debian/cherrytree.
  * Collecting missing license statements.

 -- Andrius Merkys <merkys@debian.org>  Wed, 04 Nov 2020 10:47:01 -0500

cherrytree (0.99.15+dfsg-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
  * debian/rules: Enable full hardening.
  * debian/copyright: Refresh information and use https urls.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrius Merkys ]
  * New upstream version 0.99.15+dfsg
  * New maintainer (Closes: #968536)

 -- Andrius Merkys <merkys@debian.org>  Wed, 21 Oct 2020 01:21:26 -0400

cherrytree (0.37.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop depends on python-appindicator (Closes: #886035)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 01 Jan 2018 15:50:46 -0500

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Andrius Merkys <merkys@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 desktop-file-utils,
 gettext,
 libcpputest-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libgspell-1-dev,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libsqlite3-dev,
 libxml++2.6-dev,
 python3-lxml,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.4.1
Homepage: https://www.giuspen.com/cherrytree/
Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
Vcs-Browser: https://salsa.debian.org/debian/cherrytree
Rules-Requires-Root: no

Package: cherrytree
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_clean:
	rm -rf build
	find po -mindepth 1 -maxdepth 1 -type d | xargs --no-run-if-empty rm -rf
	dh_clean

override_dh_auto_test:
	xvfb-run dh_auto_test

## cherrytree 0.99.18+dfsg

=== debian/changelog ===
cherrytree (0.99.18+dfsg-2) unstable; urgency=medium

  * Adding a patch to fix issue with the version number.
  * Removing 'Check Newer Version' menu item (Closes: #871452).

 -- Andrius Merkys <merkys@debian.org>  Wed, 11 Nov 2020 00:55:18 -0500

cherrytree (0.99.18+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.18+dfsg
  * Cleaning up debian/rules.
  * Bumping Standards-Version (no changes).
  * Bumping debhelper-compat (no changes).
  * Removing dependency on python3-lxml.

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 Nov 2020 00:55:14 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andrius Merkys <merkys@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  desktop-file-utils,
  gettext,
  libcpputest-dev,
@@ -14,10 +14,9 @@
  libgtksourceviewmm-3.0-dev,
  libsqlite3-dev,
  libxml++2.6-dev,
- python3-lxml,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.giuspen.com/cherrytree/
 Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
 Vcs-Browser: https://salsa.debian.org/debian/cherrytree

## cherrytree 0.99.18-2.0antix1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(cherrytree)

file(READ "debian/changelog" CHANGELOG)
string(REGEX MATCH "cherrytree +\\(([0-9]+)\\.([0-9]+)\\.([0-9]+)-" _ ${CHANGELOG})
set(CT_VERSION ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}.${CMAKE_MATCH_3})
set(CT_VERSION_WINDOWS ${CMAKE_MATCH_1},${CMAKE_MATCH_2},${CMAKE_MATCH_3},0)
message(STATUS "CT_VERSION = ${CT_VERSION}")

# APPLE has issues with installing in /usr/bin because of SIP
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND APPLE)
  set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
elseif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif()

if(NOT PYTHON_EXEC)
  set(PYTHON_EXEC "python3")
endif(NOT PYTHON_EXEC)

option(USE_NLS "Add locales support" ON)

# used to install locale, packagers might overwrite this
if(USE_NLS)
  if(NOT PACKAGE_LOCALE_DIR)
    set(PACKAGE_LOCALE_DIR "share/locale")
  endif(NOT PACKAGE_LOCALE_DIR)
endif()

# used to install data, packagers might overwrite this
if(NOT SHARE_INSTALL)
  set(SHARE_INSTALL "share" CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
endif(NOT SHARE_INSTALL)
set(CHERRYTREE_SHARE_INSTALL "${SHARE_INSTALL}/cherrytree")


set(CPACK_PACKAGE_NAME "cherrytree")
set(CPACK_PACKAGE_CONTACT "Giuseppe Penone <giuspen@gmail.com>")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${CT_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Hierarchical Note Taking Application, featuring Rich Text and Syntax Highlighting.")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.txt")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_PACKAGE_CHECKSUM "SHA256")
set(CPACK_PACKAGE_EXECUTABLES ${CPACK_PACKAGE_CONTACT})
set(CPACK_CREATE_DESKTOP_LINKS ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
set(CPACK_STRIP_FILES TRUE)

set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.com/cherrytree/")
#set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)

include(CPack)


set(CMAKE_CXX_STANDARD 17)

# temporarily disable these warnings: Only <gtksourceview/gtksource.h> can be included directly.
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  add_compile_options(-Wno-cpp)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options("-Wno-#warnings")
  add_compile_options(-Wthread-safety)
endif()


if(APPLE)
  link_directories(/usr/local/lib /usr/local/opt/gettext/lib)
  include_directories(/usr/local/opt/gettext/include)
  set(CMAKE_MACOSX_RPATH 1)
  set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/libxml++/lib/pkgconfig")
  # to fix libxml++2.6 compilation
  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
endif()

add_compile_options(-Wno-deprecated -Wno-deprecated-declarations)
if(CMAKE_BUILD_TYPE STREQUAL "")
  add_compile_options(-O3)
elseif (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_compile_options(-O0 -g)
endif()


# Create the configuration files config.h in the root dir
configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)

option(BUILD_TESTING "Build tests" ON)
if (BUILD_TESTING)
  message("Tests are ON")
else()
  message("Tests are OFF")
endif()

include(FindPkgConfig)
pkg_check_modules(GTKMM gtkmm-3.0 REQUIRED)
pkg_check_modules(GTKSVMM gtksourceviewmm-3.0 REQUIRED)
pkg_check_modules(GLIBMM glibmm-2.4>=2.64 REQUIRED)
pkg_check_modules(PANGOMM pangomm-1.4 REQUIRED)
pkg_check_modules(GSPELL gspell-1 REQUIRED)
pkg_check_modules(LIBXML libxml++-2.6 REQUIRED)
pkg_check_modules(SQLITE sqlite3 REQUIRED)
pkg_check_modules(CURL libcurl REQUIRED)
if(BUILD_TESTING)
  pkg_check_modules(CPPUTEST cpputest  REQUIRED)
endif()

add_subdirectory(src/7za)

# Spdlog
add_subdirectory(src/spdlog)


include(FindPackageHandleStandardArgs)

# For both src and tests targets
include_directories(
  SYSTEM ${GTKMM_INCLUDE_DIRS}
  SYSTEM ${GTKSVMM_INCLUDE_DIRS}
  SYSTEM ${GLIBMM_INCLUDE_DIRS}
  SYSTEM ${PANGOMM_INCLUDE_DIRS}
  SYSTEM ${GSPELL_INCLUDE_DIRS}
  SYSTEM ${LIBXML_INCLUDE_DIRS}
  SYSTEM ${SQLITE_INCLUDE_DIRS}
  SYSTEM ${CURL_INCLUDE_DIRS}
  include_directories(.) # to find src/fmt
)

add_subdirectory(src/ct)

if(BUILD_TESTING)
  enable_testing()
  add_subdirectory(tests)
endif()


# rebuild man pages
set(MANFILE_FULL "${CMAKE_SOURCE_DIR}/data/cherrytree.1")
set(MANFILE_FULL_GZ "${MANFILE_FULL}.gz")
add_custom_command(
  OUTPUT ${MANFILE_FULL_GZ}
  COMMAND gzip -f -k --best -n "${MANFILE_FULL}"
)
add_custom_target(man_pages ALL DEPENDS ${MANFILE_FULL_GZ})


# rebuild languages binaries
if(USE_NLS)
  execute_process(
    COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/po/i18n_po_to_mo.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )
endif()


# set icon on macos
if(APPLE)
  install(CODE "execute_process(COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/set_icon_macos.py ${CMAKE_SOURCE_DIR}/icons/cherrytree.ico ${CMAKE_INSTALL_PREFIX}/bin/cherrytree)")
endif(APPLE)

# install other files
if(${CMAKE_SYSTEM_NAME} MATCHES Linux|.*BSD|DragonFly|Darwin)
  if(NOT APPLE)
    # share data
    install(FILES "${CMAKE_SOURCE_DIR}/data/cherrytree.desktop"
            DESTINATION "${SHARE_INSTALL}/applications")
    install(FILES "${CMAKE_SOURCE_DIR}/icons/cherrytree.svg"
            DESTINATION "${SHARE_INSTALL}/icons/hicolor/scalable/apps")
    install(FILES "${MANFILE_FULL_GZ}"
            DESTINATION "${SHARE_INSTALL}/man/man1")
    install(FILES
            "${CMAKE_SOURCE_DIR}/data/cherrytree.mime"
            "${CMAKE_SOURCE_DIR}/data/cherrytree.keys"
            DESTINATION "${SHARE_INSTALL}/mime-info")
    install(FILES "${CMAKE_SOURCE_DIR}/data/com.giuspen.cherrytree.metainfo.xml"
            DESTINATION "${SHARE_INSTALL}/metainfo")
  endif(NOT APPLE)

  # share/cherrytree language-specs
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/language-specs
          DESTINATION ${CHERRYTREE_SHARE_INSTALL})
  # share/cherrytree styles
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/styles
          DESTINATION ${CHERRYTREE_SHARE_INSTALL})
  # share/cherrytree data
  install(FILES
          "${CMAKE_SOURCE_DIR}/data/script3.js"
          "${CMAKE_SOURCE_DIR}/data/styles3.css"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/data")
  # share/cherrytree icons
  install(FILES
          "${CMAKE_SOURCE_DIR}/icons/ct_home.svg"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/icons")

  # locale data
  if(USE_NLS)
    file(GLOB children "${CMAKE_SOURCE_DIR}/po/*")
    foreach(child ${children})
      if(IS_DIRECTORY ${child})
        install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
      endif()
    endforeach()
  endif()
endif()

=== build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/giuspen/git/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/giuspen/git/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/giuspen/git/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles /home/giuspen/git/cherrytree/build/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named man_pages

# Build rule for target.
man_pages: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 man_pages
.PHONY : man_pages

# fast build rule for target.
man_pages/fast:
	$(MAKE) -f CMakeFiles/man_pages.dir/build.make CMakeFiles/man_pages.dir/build
.PHONY : man_pages/fast

#=============================================================================
# Target rules for targets named 7za_static

# Build rule for target.
7za_static: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 7za_static
.PHONY : 7za_static

# fast build rule for target.
7za_static/fast:
	$(MAKE) -f src/7za/CMakeFiles/7za_static.dir/build.make src/7za/CMakeFiles/7za_static.dir/build
.PHONY : 7za_static/fast

#=============================================================================
# Target rules for targets named spdlog

# Build rule for target.
spdlog: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 spdlog
.PHONY : spdlog

# fast build rule for target.
spdlog/fast:
	$(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/build
.PHONY : spdlog/fast

#=============================================================================
# Target rules for targets named cherrytree

# Build rule for target.
cherrytree: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cherrytree
.PHONY : cherrytree

# fast build rule for target.
cherrytree/fast:
	$(MAKE) -f src/ct/CMakeFiles/cherrytree.dir/build.make src/ct/CMakeFiles/cherrytree.dir/build
.PHONY : cherrytree/fast

#=============================================================================
# Target rules for targets named cherrytree_shared

# Build rule for target.
cherrytree_shared: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cherrytree_shared
.PHONY : cherrytree_shared

# fast build rule for target.
cherrytree_shared/fast:
	$(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/build
.PHONY : cherrytree_shared/fast

#=============================================================================
# Target rules for targets named run_tests

# Build rule for target.
run_tests: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 run_tests
.PHONY : run_tests

# fast build rule for target.
run_tests/fast:
	$(MAKE) -f tests/CMakeFiles/run_tests.dir/build.make tests/CMakeFiles/run_tests.dir/build
.PHONY : run_tests/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... install/local"
	@echo "... edit_cache"
	@echo "... test"
	@echo "... package_source"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... package"
	@echo "... man_pages"
	@echo "... 7za_static"
	@echo "... spdlog"
	@echo "... cherrytree"
	@echo "... cherrytree_shared"
	@echo "... run_tests"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== build/src/ct/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/giuspen/git/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/giuspen/git/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/giuspen/git/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles /home/giuspen/git/cherrytree/build/src/ct/CMakeFiles/progress.marks
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/ct/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/ct/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/ct/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/ct/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/ct/CMakeFiles/cherrytree.dir/rule:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/ct/CMakeFiles/cherrytree.dir/rule
.PHONY : src/ct/CMakeFiles/cherrytree.dir/rule

# Convenience name for target.
cherrytree: src/ct/CMakeFiles/cherrytree.dir/rule

.PHONY : cherrytree

# fast build rule for target.
cherrytree/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree.dir/build.make src/ct/CMakeFiles/cherrytree.dir/build
.PHONY : cherrytree/fast

# Convenience name for target.
src/ct/CMakeFiles/cherrytree_shared.dir/rule:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/ct/CMakeFiles/cherrytree_shared.dir/rule
.PHONY : src/ct/CMakeFiles/cherrytree_shared.dir/rule

# Convenience name for target.
cherrytree_shared: src/ct/CMakeFiles/cherrytree_shared.dir/rule

.PHONY : cherrytree_shared

# fast build rule for target.
cherrytree_shared/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/build
.PHONY : cherrytree_shared/fast

ct_actions_edit.o: ct_actions_edit.cc.o

.PHONY : ct_actions_edit.o

# target to build an object file
ct_actions_edit.cc.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_edit.cc.o
.PHONY : ct_actions_edit.cc.o

ct_actions_edit.i: ct_actions_edit.cc.i

.PHONY : ct_actions_edit.i

# target to preprocess a source file
ct_actions_edit.cc.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_edit.cc.i
.PHONY : ct_actions_edit.cc.i

ct_actions_edit.s: ct_actions_edit.cc.s

.PHONY : ct_actions_edit.s

# target to generate assembly for a file
ct_actions_edit.cc.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_edit.cc.s
.PHONY : ct_actions_edit.cc.s

ct_actions_export.o: ct_actions_export.cc.o

.PHONY : ct_actions_export.o

# target to build an object file
ct_actions_export.cc.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_export.cc.o
.PHONY : ct_actions_export.cc.o

ct_actions_export.i: ct_actions_export.cc.i

.PHONY : ct_actions_export.i

# target to preprocess a source file
ct_actions_export.cc.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_export.cc.i
.PHONY : ct_actions_export.cc.i

ct_actions_export.s: ct_actions_export.cc.s

.PHONY : ct_actions_export.s

# target to generate assembly for a file
ct_actions_export.cc.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_export.cc.s
.PHONY : ct_actions_export.cc.s

ct_actions_file.o: ct_actions_file.cc.o

.PHONY : ct_actions_file.o

# target to build an object file
ct_actions_file.cc.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_file.cc.o
.PHONY : ct_actions_file.cc.o

ct_actions_file.i: ct_actions_file.cc.i

.PHONY : ct_actions_file.i

# target to preprocess a source file
ct_actions_file.cc.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_file.cc.i
.PHONY : ct_actions_file.cc.i

ct_actions_file.s: ct_actions_file.cc.s

.PHONY : ct_actions_file.s

# target to generate assembly for a file
ct_actions_file.cc.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_file.cc.s
.PHONY : ct_actions_file.cc.s

ct_actions_find.o: ct_actions_find.cc.o

.PHONY : ct_actions_find.o

# target to build an object file
ct_actions_find.cc.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_find.cc.o
.PHONY : ct_actions_find.cc.o

ct_actions_find.i: ct_actions_find.cc.i

.PHONY : ct_actions_find.i

# target to preprocess a source file
ct_actions_find.cc.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_find.cc.i
.PHONY : ct_actions_find.cc.i

ct_actions_find.s: ct_actions_find.cc.s

.PHONY : ct_actions_find.s

# target to generate assembly for a file
ct_actions_find.cc.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_find.cc.s
.PHONY : ct_actions_find.cc.s

ct_actions_format.o: ct_actions_format.cc.o

.PHONY : ct_actions_format.o

# target to build an object file
ct_actions_format.cc.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_format.cc.o
.PHONY : ct_actions_format.cc.o

ct_actions_format.i: ct_actions_format.cc.i

.PHONY : ct_actions_format.i

# target to preprocess a source file
ct_actions_format.cc.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/ct/CMakeFiles/cherrytree_shared.dir/build.make src/ct/CMakeFiles/cherrytree_shared.dir/ct_actions_format.cc.i
.PHONY : ct_actions_format.cc.i

=== build/src/spdlog/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/giuspen/git/cherrytree

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/giuspen/git/cherrytree/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/giuspen/git/cherrytree/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/giuspen/git/cherrytree/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles /home/giuspen/git/cherrytree/build/src/spdlog/CMakeFiles/progress.marks
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/spdlog/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/giuspen/git/cherrytree/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/spdlog/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/spdlog/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/spdlog/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/giuspen/git/cherrytree/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/spdlog/CMakeFiles/spdlog.dir/rule:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f CMakeFiles/Makefile2 src/spdlog/CMakeFiles/spdlog.dir/rule
.PHONY : src/spdlog/CMakeFiles/spdlog.dir/rule

# Convenience name for target.
spdlog: src/spdlog/CMakeFiles/spdlog.dir/rule

.PHONY : spdlog

# fast build rule for target.
spdlog/fast:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/build
.PHONY : spdlog/fast

# target to build an object file
cmake_pch.hxx.gch:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/cmake_pch.hxx.gch
.PHONY : cmake_pch.hxx.gch

# target to preprocess a source file
cmake_pch.hxx.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/cmake_pch.hxx.i
.PHONY : cmake_pch.hxx.i

# target to generate assembly for a file
cmake_pch.hxx.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/cmake_pch.hxx.s
.PHONY : cmake_pch.hxx.s

src/async.o: src/async.cpp.o

.PHONY : src/async.o

# target to build an object file
src/async.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/async.cpp.o
.PHONY : src/async.cpp.o

src/async.i: src/async.cpp.i

.PHONY : src/async.i

# target to preprocess a source file
src/async.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/async.cpp.i
.PHONY : src/async.cpp.i

src/async.s: src/async.cpp.s

.PHONY : src/async.s

# target to generate assembly for a file
src/async.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/async.cpp.s
.PHONY : src/async.cpp.s

src/cfg.o: src/cfg.cpp.o

.PHONY : src/cfg.o

# target to build an object file
src/cfg.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/cfg.cpp.o
.PHONY : src/cfg.cpp.o

src/cfg.i: src/cfg.cpp.i

.PHONY : src/cfg.i

# target to preprocess a source file
src/cfg.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/cfg.cpp.i
.PHONY : src/cfg.cpp.i

src/cfg.s: src/cfg.cpp.s

.PHONY : src/cfg.s

# target to generate assembly for a file
src/cfg.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/cfg.cpp.s
.PHONY : src/cfg.cpp.s

src/color_sinks.o: src/color_sinks.cpp.o

.PHONY : src/color_sinks.o

# target to build an object file
src/color_sinks.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/color_sinks.cpp.o
.PHONY : src/color_sinks.cpp.o

src/color_sinks.i: src/color_sinks.cpp.i

.PHONY : src/color_sinks.i

# target to preprocess a source file
src/color_sinks.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/color_sinks.cpp.i
.PHONY : src/color_sinks.cpp.i

src/color_sinks.s: src/color_sinks.cpp.s

.PHONY : src/color_sinks.s

# target to generate assembly for a file
src/color_sinks.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/color_sinks.cpp.s
.PHONY : src/color_sinks.cpp.s

src/file_sinks.o: src/file_sinks.cpp.o

.PHONY : src/file_sinks.o

# target to build an object file
src/file_sinks.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/file_sinks.cpp.o
.PHONY : src/file_sinks.cpp.o

src/file_sinks.i: src/file_sinks.cpp.i

.PHONY : src/file_sinks.i

# target to preprocess a source file
src/file_sinks.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/file_sinks.cpp.i
.PHONY : src/file_sinks.cpp.i

src/file_sinks.s: src/file_sinks.cpp.s

.PHONY : src/file_sinks.s

# target to generate assembly for a file
src/file_sinks.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/file_sinks.cpp.s
.PHONY : src/file_sinks.cpp.s

src/fmt.o: src/fmt.cpp.o

.PHONY : src/fmt.o

# target to build an object file
src/fmt.cpp.o:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/fmt.cpp.o
.PHONY : src/fmt.cpp.o

src/fmt.i: src/fmt.cpp.i

.PHONY : src/fmt.i

# target to preprocess a source file
src/fmt.cpp.i:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/fmt.cpp.i
.PHONY : src/fmt.cpp.i

src/fmt.s: src/fmt.cpp.s

.PHONY : src/fmt.s

# target to generate assembly for a file
src/fmt.cpp.s:
	cd /home/giuspen/git/cherrytree/build && $(MAKE) -f src/spdlog/CMakeFiles/spdlog.dir/build.make src/spdlog/CMakeFiles/spdlog.dir/src/fmt.cpp.s
.PHONY : src/fmt.cpp.s

src/spdlog.o: src/spdlog.cpp.o

.PHONY : src/spdlog.o

# target to build an object file
src/spdlog.cpp.o:

=== debian/changelog ===
cherrytree (0.99.18-2.0antix1) unstable; urgency=medium

  * antiX testing/sid build 

 -- anticapitalista <antix@operamail.com>  Sat, 31 Oct 2020 22:48:38 +0200

cherrytree (0.99.18-2) groovy; urgency=low

  * fix crash when exporting to pdf (#1291)
  * fix freeze/crash when deleting a node (#1285)
  * fix garbled special characters on windows (#1065, #1269, #1245)
  * fix visualisation glitches of anchored widgets at undo/redo time (#1205)
  * fix order for new created nodes (#1263)
  * fix PDF export: paragraph format lost (#1268)
  * fix content missing in PDF export (#1265)
  * fix paste not working on macOS (#1259)
  * fix Keepnote import (#1276)


 -- Giuseppe Penone <giuspen@gmail.com>  Wed, 28 Oct 2020 21:51:36 +0000

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Giuseppe Penone <giuspen@gmail.com>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 gettext,
 cmake (>= 3.13.2),
 libcpputest-dev,
 libxml2-utils,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libxml++2.6-dev,
 libsqlite3-dev,
 libgspell-1-dev,
 libcurl4-openssl-dev
Standards-Version: 3.9.5
Homepage: https://www.giuspen.com/cherrytree/
Vcs-Git: https://github.com/giuspen/cherrytree.git
Vcs-Browser: https://github.com/giuspen/cherrytree

Package: cherrytree
Architecture: any
Depends:
 libgtkmm-3.0-1v5,
 libgtksourceviewmm-3.0-0v5,
 libxml++2.6-2v5,
 libsqlite3-0,
 libgspell-1-2,
 libcurl4,
 ${misc:Depends},
 ${shlibs:Depends}
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.
